MARTe2-core - User story #249

Implement BufferedStreamGenerator
23.10.2015 12:42 - Riccardo Vitelli

Status: Closed Start date: 23.10.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.7 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Implement the template class which unifies the BufferedStreams with the OperatingSystemStreams.

Source code files modified

String.*

StringlOBuffer.”

Streaml.h
BufferedStreaml.*
BufferedStreamGenerator.*
SingleBufferedStream.*
DoubleBufferedStream.*
Architecture & design review
Date of the review: 23/10/2015
Person who did the review: André Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 29/10/2015

Person who did the review: R. Vitelli

Result of review: PASS

List of non-conformities: N/A.

Unit test review

Date of the review: 29/10/2015

Person who did the review: R. Vitelli
Result of coverage tests review: PASS

Result of functional tests review: PASS
Result of review: PASS

List of non-conformities: N/A.

Associated revisions

Revision ¢685546d - 23.10.2015 17:47 - Giuseppe Ferro

#249 Put the same interface for OperatingSystemStream and Streaml
-Added BufferedStreamGenerator
-Added OperatingSystemStreamGenerator

Revision 994457cc - 23.10.2015 18:29 - Giuseppe Ferro

Merge remote-tracking branch 'origin/#243_Linux_File' into
#249 BufferedStreamGenerator

Conflicts:
MakeDefaults/Lint/marte_flint_files.Int

Revision 3d309f25 - 26.10.2015 15:20 - Giuseppe Ferro
Fixed documentation.

#249

Revision 7e2678f - 29.10.2015 11:18 - Riccardo Vitelli

#249 Fixed some typos in the documentation.

History

#1 - 23.10.2015 13:21 - André Neto

- Status changed from New to Code: Impl

#2 - 23.10.2015 13:22 - André Neto

- Description updated

#3 - 23.10.2015 13:28 - André Neto

- Target version set to 0.7

#4 - 23.10.2015 13:35 - André Neto

- Assignee set to Giuseppe Ferro

#5 - 26.10.2015 15:21 - Giuseppe Ferro
- Status changed from Code: Impl to Code: Rev

#6 - 26.10.2015 15:24 - Giuseppe Ferro

- Description updated

Code Implementation done: 3d309f2
Note: Implemented also #251.

#7 - 26.10.2015 15:29 - Giuseppe Ferro
- Assignee deleted (Giuseppe Ferro)

#8 - 26.10.2015 15:38 - lvan Herrero
- Description updated

#9 - 26.10.2015 16:00 - Ivan Herrero

- Assignee set to Ivan Herrero

#10 - 27.10.2015 10:09 - Riccardo Vitelli

- Assignee changed from Ivan Herrero to Riccardo Vitelli

#11 - 29.10.2015 11:52 - Riccardo Vitelli
- Status changed from Code: Rev to Unit: Rev

#12 - 29.10.2015 12:02 - Riccardo Vitelli
- Status changed from Unit: Rev to Closed

#13 - 29.10.2015 12:03 - Riccardo Vitelli
- Description updated

- Assignee deleted (Riccardo Vitelli)
